%global pkg slime
%define upstream_snapshot 2014-01-15
%define release_snapshot %(echo %{upstream_snapshot}|sed 's/-//g')

Name:            emacs-%{pkg}
Version:         3.0
Release:         %mkrel 1.%{release_snapshot}.4
Summary:         The superior lisp interaction mode for emacs        

Group:           Development/Tools 
#Public domain: Mentioned in README file
#LLGPL: Mentioned in swank-ccl.lisp
#GPLv2+: slime.el,slime-autoloads.el
#GPLv3+: Many files in contrib are GPLv3+
License:         Public Domain and GPLv3+ and GPLv2+ and LLGPL
URL:             http://common-lisp.net/project/slime/
Source0:         http://common-lisp.net/project/slime/snapshots/slime-current.tgz#/%{name}-%{upstream_snapshot}.tgz
Patch0:          slime-2013-04-05-fedora-mageia-fix-changelog-and-backend.patch
BuildRequires:   emacs-bin 
BuildRequires:   texinfo
Requires:        emacs-bin

BuildArch:      noarch

%description
SLIME is a Emacs mode for common Lisp development.

%package el
Summary:        Elisp source files for %{name}
Group:          Development/Tools 
Requires:       %{name} = %{version}-%{release}

%description el
This package contains the Elisp source files for %{name}. You do not need
to install this package to use %{name}.

%prep
%setup -q -n %{pkg}-%{upstream_snapshot}
%patch0 -p0

iconv --from=ISO-8859-1 --to=UTF-8 ChangeLog > ChangeLog.conv && mv ChangeLog.conv ChangeLog

%build
# Gentoo fix for texinfo problem
sed -i "s/@itemx INIT-FUNCTION/@item INIT-FUNCTION/" doc/slime.texi \
              || die "sed doc/slime.texi failed" 
(cd doc && make slime.info)

%install
for file in *.el; do
    install -D -pm 644 $file %{buildroot}%{_datadir}/emacs/site-lisp/site-start.d/$file
done

install -D -pm 644 doc/%{pkg}.info %{buildroot}%{_infodir}/%{pkg}.info

for file in *.lisp *.asd contrib/*.lisp contrib/*.el contrib/README contrib/ChangeLog; do
    install -D -pm 644 $file %{buildroot}%{_datadir}/%{name}/$file
done

%files
%doc ChangeLog NEWS PROBLEMS README doc/slime-small.pdf doc/slime-refcard.pdf
%{_datadir}/%{name}/contrib/ChangeLog
%{_datadir}/%{name}/contrib/README
%{_datadir}/%{name}/contrib/bridge.el
%{_datadir}/%{name}/contrib/inferior-slime.el
%{_datadir}/%{name}/contrib/slime-asdf.el
%{_datadir}/%{name}/contrib/slime-autodoc.el
%{_datadir}/%{name}/contrib/slime-banner.el
%{_datadir}/%{name}/contrib/slime-c-p-c.el
%{_datadir}/%{name}/contrib/slime-cl-indent.el
%{_datadir}/%{name}/contrib/slime-clipboard.el
%{_datadir}/%{name}/contrib/slime-compiler-notes-tree.el
%{_datadir}/%{name}/contrib/slime-editing-commands.el
%{_datadir}/%{name}/contrib/slime-enclosing-context.el
%{_datadir}/%{name}/contrib/slime-fancy-inspector.el
%{_datadir}/%{name}/contrib/slime-fancy-trace.el
%{_datadir}/%{name}/contrib/slime-fancy.el
%{_datadir}/%{name}/contrib/slime-fontifying-fu.el
%{_datadir}/%{name}/contrib/slime-fuzzy.el
%{_datadir}/%{name}/contrib/slime-highlight-edits.el
%{_datadir}/%{name}/contrib/slime-hyperdoc.el
%{_datadir}/%{name}/contrib/slime-indentation.el
%{_datadir}/%{name}/contrib/slime-mdot-fu.el
%{_datadir}/%{name}/contrib/slime-media.el
%{_datadir}/%{name}/contrib/slime-motd.el
%{_datadir}/%{name}/contrib/slime-mrepl.el
%{_datadir}/%{name}/contrib/slime-package-fu.el
%{_datadir}/%{name}/contrib/slime-parse.el
%{_datadir}/%{name}/contrib/slime-presentation-streams.el
%{_datadir}/%{name}/contrib/slime-presentations.el
%{_datadir}/%{name}/contrib/slime-references.el
%{_datadir}/%{name}/contrib/slime-repl.el
%{_datadir}/%{name}/contrib/slime-sbcl-exts.el
%{_datadir}/%{name}/contrib/slime-scheme.el
%{_datadir}/%{name}/contrib/slime-scratch.el
%{_datadir}/%{name}/contrib/slime-snapshot.el
%{_datadir}/%{name}/contrib/slime-sprof.el
%{_datadir}/%{name}/contrib/slime-tramp.el
%{_datadir}/%{name}/contrib/slime-typeout-frame.el
%{_datadir}/%{name}/contrib/slime-xref-browser.el
%{_datadir}/%{name}/contrib/swank-arglists.lisp
%{_datadir}/%{name}/contrib/swank-asdf.lisp
%{_datadir}/%{name}/contrib/swank-c-p-c.lisp
%{_datadir}/%{name}/contrib/swank-clipboard.lisp
%{_datadir}/%{name}/contrib/swank-fancy-inspector.lisp
%{_datadir}/%{name}/contrib/swank-fuzzy.lisp
%{_datadir}/%{name}/contrib/swank-hyperdoc.lisp
%{_datadir}/%{name}/contrib/swank-indentation.lisp
%{_datadir}/%{name}/contrib/swank-listener-hooks.lisp
%{_datadir}/%{name}/contrib/swank-media.lisp
%{_datadir}/%{name}/contrib/swank-motd.lisp
%{_datadir}/%{name}/contrib/swank-mrepl.lisp
%{_datadir}/%{name}/contrib/swank-package-fu.lisp
%{_datadir}/%{name}/contrib/swank-presentation-streams.lisp
%{_datadir}/%{name}/contrib/swank-presentations.lisp
%{_datadir}/%{name}/contrib/swank-repl.lisp
%{_datadir}/%{name}/contrib/swank-sbcl-exts.lisp
%{_datadir}/%{name}/contrib/swank-snapshot.lisp
%{_datadir}/%{name}/contrib/swank-sprof.lisp
%{_datadir}/%{name}/contrib/swank-util.lisp
%{_datadir}/%{name}/metering.lisp
%{_datadir}/%{name}/nregex.lisp
%{_datadir}/%{name}/sbcl-pprint-patch.lisp
%{_datadir}/%{name}/start-swank.lisp
%{_datadir}/%{name}/swank-abcl.lisp
%{_datadir}/%{name}/swank-allegro.lisp
%{_datadir}/%{name}/swank-backend.lisp
%{_datadir}/%{name}/swank-ccl.lisp
%{_datadir}/%{name}/swank-clisp.lisp
%{_datadir}/%{name}/swank-cmucl.lisp
%{_datadir}/%{name}/swank-corman.lisp
%{_datadir}/%{name}/swank-ecl.lisp
%{_datadir}/%{name}/swank-gray.lisp
%{_datadir}/%{name}/swank-lispworks.lisp
%{_datadir}/%{name}/swank-loader.lisp
%{_datadir}/%{name}/swank-match.lisp
%{_datadir}/%{name}/swank-rpc.lisp
%{_datadir}/%{name}/swank-sbcl.lisp
%{_datadir}/%{name}/swank-scl.lisp
%{_datadir}/%{name}/swank-source-file-cache.lisp
%{_datadir}/%{name}/swank-source-path-parser.lisp
%{_datadir}/%{name}/swank.asd
%{_datadir}/%{name}/swank.lisp
%{_datadir}/%{name}/xref.lisp
%{_infodir}/slime.info.*

%files el
%{_datadir}/emacs/site-lisp/site-start.d/hyperspec.el
%{_datadir}/emacs/site-lisp/site-start.d/slime-autoloads.el
%{_datadir}/emacs/site-lisp/site-start.d/slime.el


%changelog
* Thu Aug 20 2020 ovitters <ovitters> 3.0-1.20140115.4.mga8
+ Revision: 1616878
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Wed Feb 12 2020 umeabot <umeabot> 3.0-1.20140115.3.mga8
+ Revision: 1501368
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.0-1.20140115.2.mga7
+ Revision: 1278069
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 kekepower <kekepower> 3.0-1.20140115.1.mga7
+ Revision: 1212257
- Update to 3.0-1.20140115

* Fri Feb 05 2016 umeabot <umeabot> 3.0-1.20130405.5.mga6
+ Revision: 939453
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0-1.20130405.4.mga5
+ Revision: 750469
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0-1.20130405.3.mga5
+ Revision: 678996
- Mageia 5 Mass Rebuild

* Wed Jan 01 2014 malo <malo> 3.0-1.20130405.2.mga4
+ Revision: 563719
- fix build by patching texi file
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 kamil <kamil> 3.0-1.20130405.1.mga4
+ Revision: 440387
- global refactoring against Mageia and update of .spec
- imported package emacs-slime


* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.8.20120525cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 25 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 3.0-0.7.20120525cvs
- Hardcode location of slime-backend
- Renamed patches
- Removed known_implementations.patch. Otherwise inferior-lisp-program variable is not used by slime.

* Mon Jul 23 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 3.0-0.6.20120525cvs
- All .el files go into -el package except for those under contrib. They go into common-lisp/source/slime
- Copy readme and changelog into contrib folder. Gives an idea of how to load the definitions into emacs.
- Rename readme and changelog under contrib and put them into doc folder as well.

* Mon Jul 23 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 3.0-0.5.20120525cvs
- Apply patches to fix slime load error.
- Copy contrib directory in both base and el packages.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.4.20101113cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.3.20101113cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.2.20101113cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 14 2010 Arun SAG <sagarun at gmail dot com> - 3.0-0.1.20101113cvs
- Fixed the version information
- Fixed the license information
- Removed the buildroot tag as it is obsolete

* Sat Sep 11 2010 Arun SAG <sagarun at gmail dot com> - 1.2-1
- Initial release
